Bug 1361077 - [RFE] High Availability of Geo-replication Scheduler
Summary: [RFE] High Availability of Geo-replication Scheduler
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Aravinda VK
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2016-07-28 10:07 UTC by Aravinda VK
Modified: 2016-11-15 08:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 10:43:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1365830 None None None Never

Internal Links: 1365830

Description Aravinda VK 2016-07-28 10:07:02 UTC
Description of problem:
Geo-replication can be scheduled using Scheduler script, but 
- if that node goes down before starting the scheduler. Schedule will get missed.
- if node goes down after starting scheduler, Geo-rep will be in started state and runs like regular geo-rep without scheduling.

High availability is required for Scheduler script.


Note You need to log in before you can comment on or make changes to this bug.